﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Understanding Analytics V2 Flat History Page</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Understanding Analytics V2 Flat History Page</h1>
        <p>The <strong>Analytics History V2</strong> page provides a flat view of the history of all Analytics Version 2 Controls and the corresponding data. This is an improved version of the <strong>Analytics History</strong> page&#160;where you used the category and the sub-category based layout to view the analytics history data. </p>
        <p>The  &#160;<strong>Analytics History V2</strong> page displays a user-friendly interface with advanced search and filtering options such as <strong>Control Filters</strong> and <strong>Data Filters</strong>&#160;and a <strong>Summary</strong> page where you can view the control information using required options (for example, a summary of controls with all open violations).&#160;In addition, the&#160;Analytics History&#160;V2 page provides export functionalities for exporting data.&#160;</p>
        <p>This section consists of the following:</p>
        <h2 id="AnalyticsHistoryV2(orAnalyticsFlatHistorypage)-AdvancedFiltersinAnalyticsHistoryV2Page">Advanced Filters in Analytics History&#160;V2 Page</h2>
        <p>This section describes the control filters and data filters in the&#160;<strong>Analytics History V2</strong>&#160;page.&#160;</p>
        <h3 id="AnalyticsHistoryV2(orAnalyticsFlatHistorypage)-ControlFilters">Control Filters</h3>
        <p>The control filters allow you to filter the list of analytics controls with properties such as category, sub-category, risk, and tags.</p>
        <p>The following table provides the control filter options available in the&#160;<strong>Analytics History V2</strong>&#160;page.&#160;</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 18.8125%;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 80.9328%;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Field</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Category</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the category of the control.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Sub-Category</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the subcategory of the control.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Risk</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the risk associated with the control.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Tags</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Select the tags associated with the control from the list (allowing selection of multiple tags) and the data from the filters.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">When you select a <strong>Category</strong> in the <strong>Analytics History V2</strong>&#160;page, the <strong>Sub-Category</strong> drop-down displays only the relevant entries related to the selected Category List.&#160;If you do not select any Category, then the Sub-Category drop-down lists all entries. Hence, the filtered&#160;Sub-Category entries are displayed based on the selected Category.</p>
        </div>
        <h3 id="AnalyticsHistoryV2(orAnalyticsFlatHistorypage)-DataFilters">Data Filters</h3>
        <p>The data filters&#160;allow you to filter controls&#160;based on the&#160;data within analytics control results.</p>
        <p>The data filter option can be changed from <strong>Admin &gt; Global configurations &gt; Analytics &gt; History &gt; Application Global Filter</strong>. Based on the option selected here, the filter option will be displayed in <strong>Analytics History V2</strong> page.</p>
        <p>The following table provides the data filter options available in the&#160;<strong>Analytics History V2</strong>&#160;page.&#160;</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 19.834%;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 79.9433%;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Field</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Endpoint</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the endpoint associated with the control.</p>
                            <p class="table-text">The prerequisite for this filter is that the analytics query (when you create the control) must have the <strong>endpointKey</strong> column.</p>
                            <p class="table-text">Note that the&#160;<strong>endpointKey </strong>is case-sensitive and should be entered in the same case within the analytics query of the control.</p>
                            <p class="table-text">When you configure this filter from&#160;<b>Application Global Filter</b> field in Global Configurations, the analytics control data&#160;related to the selected endpoints from the Endpoint filter gets displayed on the&#160;Analytics History V2 page.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Organization</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the organization associated with the control.</p>
                            <p class="table-text">The prerequisite for this filter is that when you create the analytics control is that the&#160;context of the control needs to be <strong>Organization</strong> and <strong>ORGANIZATIONCONTEXT</strong> must be one of the columns in the&#160;analytics query.</p>
                            <p class="table-text">When you configure this filter from&#160;Application Global Filter field in Global Configurations, the analytics control data&#160;related to the selected organizations from the Organization filter gets displayed on the&#160;Analytics History V2 page.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Conflict Status</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">The conflict status can be one of the following:</p>
                            <ul>
                                <li>Open</li>
                                <li>Not Open</li>
                            </ul>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">You can choose <strong>Organization</strong> or <strong>Endpoint</strong>&#160;as data filters in the <strong>Analytics History V2</strong>&#160;page using the&#160;<strong>Application Global Filter</strong> option in <strong>Analytics Global Configurations</strong>. For more information, see&#160;Analytics Configuration.</p>
        </div>
        <h2 id="AnalyticsHistoryV2(orAnalyticsFlatHistorypage)-SummaryofAnalyticsVersion2Controls">Summary of Analytics Version 2 Controls</h2>
        <p>The&#160; <strong>Analytics History V2</strong>&#160;page provides a <strong>Summary</strong> section listing the&#160;Analytics Version 2 Controls&#160;based on the filters that you applied. This section provides details of each control such as conflict count (new and open), the option to view History, date and time when the control was last run, and recommendations.</p>
        <p>The <strong>Summary</strong> page provides a text message displaying the total number of violations and the percentage of open violations in the&#160;beginning of the page.&#160;The page&#160;lists controls in a single tabular view with the following columns:</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 25.5474%;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 74.2092%;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Field</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Control Name</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Shows the name of the control.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Description</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Provides the description of the control.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Conflict Count</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Shows the total count of violations against a specific control.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Open&#160;Conflict Count</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Shows the total count of open violations against a specific control.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">History</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The system redirects to the Run History page where user can view the conflict count in a tabular and graphical view.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Recommendations</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Any recommendations.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Last Run</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Shows the date when the control was run last (in the system).</p>
                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                <p class="note">The run time shown in this field is based on the local time zone of the logged in user.</p>
                            </div>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Email template</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">The email template required to send emails.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <ul>
            <li>
                <p class="note">In the&#160;<strong>Analytics History V2</strong>&#160;page, you can only view the violations for those endpoints to which you have access.</p>
            </li>
            <li>
                <p class="note">In the&#160;<strong>Analytics History V2</strong>&#160;page, the delegate user can view the analytics control data of the parent user who has delegated the tasks.&#160;</p>
                <p class="note">For more information about delegate users, see <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="ars-crea-delg.htm" pubname="IGA-User-Guide-v2020x" class="peer">Creating Delegate</a></MadCap:conditionalText> in the <em>IGA User Guide</em>.</p>
                <p class="note">For more information about delegate users, see <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="ars-crea-delg.htm" pubname="IGA-User-Guide-v2021x" class="peer">Creating Delegate</a></MadCap:conditionalText> in the <em>IGA User Guide</em>.</p>
            </li>
            <li>
                <p class="note"> The&#160;<strong>Analytics History V2</strong>&#160;page provides the capability to sort data based on the following columns:<br />"Last Run", "Conflict Count", "Open Conflict Count" and "Closed Conflict Count".</p>
            </li>
        </ul>
        <h2 id="AnalyticsHistoryV2(orAnalyticsFlatHistorypage)-ExportFunctionalitiesinAnalyticsHistoryV2">Export Functionalities in Analytics History&#160;V2&#160;</h2>
        <p>The Analytics History&#160;V2 provides the following functionalities for exporting data:</p>
        <ul>
            <li>Export data from the user interface to a .xlsx or .csv file. You can export data based on the filters applied on the page. </li>
            <li>Export a summary report from the page.&#160;</li>
            <li>When going to a specific control, the user can also export the details of the violation.</li>
            <li>When the users navigate to controls to view the violations, they can export the columns based on allowed entries that can be exported from <strong>Columns to Export</strong>.&#160;The exported file follows the naming convention of Control Name and Exported Date.</li>
        </ul>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">When you export the analytics control to CSV or Excel format, the&#160;<strong>Last Run</strong> time shown in this&#160;page is based on&#160;UTC time zone.</p>
        </div>
        <p>&#160;</p>
    </body>
</html>